Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Click To Pay

Create SRCi Transaction

post

Provide all required data to the Merchant/PSP to build a click to pay transaction authorization request.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantIdstring · min: 1 · max: 128Required

Identifier of the merchant provided by Thales at on-boarding.

transactionIdstring · min: 1 · max: 128Required

The unique transaction identifier.

Responses
201

Created

application/json
encryptedDatastring · max: 8196Required

The payment credentials data encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
dpanThe token PAN value provided for network token.CUp to 19
expThe token expiry date in the format MMYY provided for network token.C4
cryptogramThe payment cryptogram to use with the token for a payment. Presence of the cryptogram depends on the transaction type and the scheme.CUp to 256
fpanThe funding card PAN value. Only provided for PCI token.CUp to 19
fpanExpThe funding card expiry date in the format MMYY. Only provided for PCI token.C4

Example: {"dpan:"9580981500100002", "exp":"1222", "cryptogram": "45f8grzty7f4f5gs5s2c"}

post/srci/transactions

Notify SRCi

post

Notify the Click to Pay system about the outcome of a transaction authorization.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantIdstring · min: 1 · max: 128Required

Identifier of the merchant provided by Thales at on-boarding.

transactionIdstring · min: 1 · max: 128Required

The unique transaction identifier.

Responses
202

Accepted

No content

post/srci/transactions/confirmations

No content

Update Merchant Click to Pay

put

Update the merchant setup for click to pay.

Path parameters
merchantIdstring · min: 1 · max: 128Required

The unique merchant identifier.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
merchantLegalNamestring · min: 1 · max: 60Required

Legal name of the merchant.

Pattern: ^[A-Za-z0-9-_. ]+$
websiteUrlstring · min: 1 · max: 100Required

Merchant website URL.

Example: http://www.mymerchant.comPattern: ^[A-Za-z0-9-_.:/]+$
merchantCountrystring · min: 2 · max: 2Required

Merchant country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Responses
202

Accepted

No content

put/merchants/{merchantId}/srci

No content

Last updated

Was this helpful?